Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226491 - Merge Review: time
Summary: Merge Review: time
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:10 UTC by Nobody's working on this, feel free to take it
Modified: 2008-01-11 21:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-11 21:11:23 UTC
ruben: fedora-review-


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:10:31 UTC
Fedora Merge Review: time

http://cvs.fedora.redhat.com/viewcvs/devel/time/
Initial Owner: laroche@redhat.com

Comment 1 Ruben Kerkhof 2007-02-05 21:41:06 UTC
Hi Florian,

Here's my review for time 1.7 release 28:
* RPM name is OK
* Source time-1.7.tar.gz is the same as upstream
* Builds fine in mock
* File list looks OK

Needs work:
* BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  (wiki: PackagingGuidelines#BuildRoot)
* Missing SMP flags. If it doesn't build with it, please add a comment
  (wiki: PackagingGuidelines#parallelmake)
* Package is marked as relocatable, please check.
  (wiki: PackagingGuidelines#RelocatablePackages)
* The %makeinstall macro should not be used
  (wiki: PackagingGuidelines#MakeInstall)
* The package should contain the text of the license
  (wiki: Packaging/ReviewGuidelines)


Notes:
* Use Requires(post) and Requires(preun) instead of Prereq
* Is "echo "ac_cv_func_wait3=\${ac_cv_func_wait3='yes'}" >> config.cache" still needed?
  the configure script detects wait3 without it as well (at least, on FC-6)


Rpmlint is not silent:

Source RPM:
W: time summary-ended-with-dot A GNU utility for monitoring a program's use of system resources.
W: time no-url-tag
W: time redundant-prefix-tag
W: time prereq-use /sbin/install-info
W: time mixed-use-of-spaces-and-tabs (spaces: line 39, tab: line 34)

rpmlint of time:
W: time summary-ended-with-dot A GNU utility for monitoring a program's use of system resources.
W: time no-version-in-last-changelog
W: time no-url-tag


Comment 2 Florian La Roche 2008-01-11 21:11:23 UTC
Seems current rpmlint is ok with the rpm package, so I am closing this bz.

Thanks a lot for the review,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.